[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TCustomDBListBox.ReadOnly

Indicates if the linked dataset for the control cannot be modified.

## Declaration

Source position: dbctrls.pp line 383

`public property TCustomDBListBox.ReadOnly : Boolean read GetReadOnly write SetReadOnly default False;`

## Description

ReadOnly is a Boolean property which indicates if the linked dataset for the control cannot be modified. Read and write access for the property value are redirected to the ReadOnly property in the internal TFieldDataLink instance for the control.

The default value for the property is False.

Remark: | The value in the property may be changed during the course of editing. For example, setting ReadOnly to False when the linked dataset cannot actually be modified. Eventually, the property value gets updated to reflect the real read-only state for the linked dataset.

## See also

TDataLink.ReadOnly